Bug 26817 - "Total" line in checkouts table is too short when ExportCircHistory is activated
Summary: "Total" line in checkouts table is too short when ExportCircHistory is activated
Status: Pushed to master
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords: Academy
Depends on:
Blocks:
 
Reported: 2020-10-25 01:16 UTC by Katrin Fischer
Modified: 2020-11-04 12:04 UTC (History)
0 users

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Text to go in the release notes:
Version(s) released in:
20.11.00


Attachments
Bug 26817: Change checkouts table footer colspan based on ExportCircHistory (2.01 KB, patch)
2020-10-26 12:46 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 26817: Change checkouts table footer colspan based on ExportCircHistory (2.15 KB, patch)
2020-10-30 16:52 UTC, Séverine Queune
Details | Diff | Splinter Review
Bug 26817: Change checkouts table footer colspan based on ExportCircHistory (2.21 KB, patch)
2020-10-31 23:24 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2020-10-25 01:16:42 UTC
There is a display error in the checkouts table in the staff interface when the ExportCircHistory system preference is activated.
Comment 1 Owen Leonard 2020-10-26 12:46:48 UTC
Created attachment 112517 [details] [review]
Bug 26817: Change checkouts table footer colspan based on ExportCircHistory

This patch makes a minor change to the include file which generates the
checkouts table footer. It now includes some logic checking for the
ExportCircHistory system preference, adjusting the colspan accordingly.

To test, apply the patch and enable the ExportCircHistory system
preference.

- Check out to a patron who has checkouts. In the table of checkouts
  there should be an "Export" column. The footer at the bottom of the
  table should span the width of the table.
- Disable the ExportCircHistory preference.
- View the checkout page again and confirm that table footer still looks
  correct.
Comment 2 Séverine Queune 2020-10-30 16:52:36 UTC
Created attachment 112728 [details] [review]
Bug 26817: Change checkouts table footer colspan based on ExportCircHistory

This patch makes a minor change to the include file which generates the
checkouts table footer. It now includes some logic checking for the
ExportCircHistory system preference, adjusting the colspan accordingly.

To test, apply the patch and enable the ExportCircHistory system
preference.

- Check out to a patron who has checkouts. In the table of checkouts
  there should be an "Export" column. The footer at the bottom of the
  table should span the width of the table.
- Disable the ExportCircHistory preference.
- View the checkout page again and confirm that table footer still looks
  correct.

Signed-off-by: Séverine QUEUNE <severine.queune@bulac.fr>
Comment 3 Katrin Fischer 2020-10-31 23:24:01 UTC
Created attachment 112776 [details] [review]
Bug 26817: Change checkouts table footer colspan based on ExportCircHistory

This patch makes a minor change to the include file which generates the
checkouts table footer. It now includes some logic checking for the
ExportCircHistory system preference, adjusting the colspan accordingly.

To test, apply the patch and enable the ExportCircHistory system
preference.

- Check out to a patron who has checkouts. In the table of checkouts
  there should be an "Export" column. The footer at the bottom of the
  table should span the width of the table.
- Disable the ExportCircHistory preference.
- View the checkout page again and confirm that table footer still looks
  correct.

Signed-off-by: Séverine QUEUNE <severine.queune@bulac.fr>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 4 Jonathan Druart 2020-11-04 12:04:30 UTC
Pushed to master for 20.11, thanks to everybody involved!